CREATE TABLE egp_categories_int (
    CATEGORY_ID                     NUMBER(18, 0) ,
    SUPPLIER_ENABLED_FLAG           VARCHAR2(4)   ,
    CATEGORY_NAME                   VARCHAR2(1000),
    DESCRIPTION                     VARCHAR2(960) ,
    CATEGORY_CONTENT_CODE           VARCHAR2(120) ,
    CATEGORY_CODE                   VARCHAR2(3280),
    START_DATE_ACTIVE               DATE          ,
    END_DATE_ACTIVE                 DATE          ,
    PARENT_CATEGORY_ID              NUMBER(18, 0) ,
    PARENT_CATEGORY_CODE            VARCHAR2(3280),
    NEW_CATEGORY_CODE               VARCHAR2(3280),
    CATALOG_ID                      NUMBER(18, 0) ,
    CATALOG_CODE                    VARCHAR2(120) ,
    SOURCE_CATALOG_CODE             VARCHAR2(120) ,
    SOURCE_CATALOG_ID               NUMBER(18, 0) ,
    COPY_OPTIONS                    VARCHAR2(200) ,
    BATCH_NUMBER                    VARCHAR2(160) ,
    PREPROCESS_COMPLETION_STATUS    NUMBER        ,
    JOB_DEFINITION_NAME             VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE          VARCHAR2(3600),
    INTERFACE_TABLE_UNIQUE_ID       NUMBER(18, 0) ,
    THREAD_NUMBER                   NUMBER(18, 0) ,
    PREPROCESS_THREAD_NUMBER        NUMBER(18, 0) ,
    REQUEST_ID                      NUMBER(18, 0) ,
    LOAD_REQUEST_ID                 NUMBER(18, 0) ,
    BATCH_ID                        NUMBER(18, 0) ,
    TRANSACTION_TYPE                VARCHAR2(40)  ,
    PROCESS_STATUS                  NUMBER(18, 0) ,
    ERROR_MSG_CODE                  VARCHAR2(200) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)  ,
    LAST_UPDATED_BY                 VARCHAR2(256) ,
    CREATION_DATE                   TIMESTAMP(6)  ,
    CREATED_BY                      VARCHAR2(256) ,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY              VARCHAR2(120) ,
    ATTRIBUTE1                      VARCHAR2(600) ,
    ATTRIBUTE2                      VARCHAR2(600) ,
    ATTRIBUTE3                      VARCHAR2(600) ,
    ATTRIBUTE4                      VARCHAR2(600) ,
    ATTRIBUTE5                      VARCHAR2(600) ,
    ATTRIBUTE6                      VARCHAR2(600) ,
    ATTRIBUTE7                      VARCHAR2(600) ,
    ATTRIBUTE8                      VARCHAR2(600) ,
    ATTRIBUTE9                      VARCHAR2(600) ,
    ATTRIBUTE10                     VARCHAR2(600) ,
    ATTRIBUTE11                     VARCHAR2(600) ,
    ATTRIBUTE12                     VARCHAR2(600) ,
    ATTRIBUTE13                     VARCHAR2(600) ,
    ATTRIBUTE14                     VARCHAR2(600) ,
    ATTRIBUTE15                     VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1               NUMBER        ,
    ATTRIBUTE_NUMBER2               NUMBER        ,
    ATTRIBUTE_NUMBER3               NUMBER        ,
    ATTRIBUTE_NUMBER4               NUMBER        ,
    ATTRIBUTE_NUMBER5               NUMBER        ,
    ATTRIBUTE_NUMBER6               NUMBER        ,
    ATTRIBUTE_NUMBER7               NUMBER        ,
    ATTRIBUTE_NUMBER8               NUMBER        ,
    ATTRIBUTE_NUMBER9               NUMBER        ,
    ATTRIBUTE_NUMBER10              NUMBER        ,
    ATTRIBUTE_DATE1                 DATE          ,
    ATTRIBUTE_DATE2                 DATE          ,
    ATTRIBUTE_DATE3                 DATE          ,
    ATTRIBUTE_DATE4                 DATE          ,
    ATTRIBUTE_DATE5                 DATE          ,
    ATTRIBUTE_TIMESTAMP1            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5            TIMESTAMP(6)  ,
    CATEGORY_ID                     NUMBER(18, 0) ,
    CATEGORY_NAME                   VARCHAR2(1000),
    DESCRIPTION                     VARCHAR2(960) ,
    CATEGORY_CONTENT_CODE           VARCHAR2(120) ,
    CATEGORY_CODE                   VARCHAR2(3280),
    START_DATE_ACTIVE               DATE          ,
    END_DATE_ACTIVE                 DATE          ,
    PARENT_CATEGORY_ID              NUMBER(18, 0) ,
    PARENT_CATEGORY_CODE            VARCHAR2(3280),
    NEW_CATEGORY_CODE               VARCHAR2(3280),
    CATALOG_ID                      NUMBER(18, 0) ,
    CATALOG_CODE                    VARCHAR2(120) ,
    SOURCE_CATALOG_CODE             VARCHAR2(120) ,
    SOURCE_CATALOG_ID               NUMBER(18, 0) ,
    COPY_OPTIONS                    VARCHAR2(200) ,
    BATCH_NUMBER                    VARCHAR2(160) ,
    PREPROCESS_COMPLETION_STATUS    NUMBER        ,
    JOB_DEFINITION_NAME             VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE          VARCHAR2(3600),
    INTERFACE_TABLE_UNIQUE_ID       NUMBER(18, 0) ,
    THREAD_NUMBER                   NUMBER(18, 0) ,
    PREPROCESS_THREAD_NUMBER        NUMBER(18, 0) ,
    REQUEST_ID                      NUMBER(18, 0) ,
    LOAD_REQUEST_ID                 NUMBER(18, 0) ,
    BATCH_ID                        NUMBER(18, 0) ,
    TRANSACTION_TYPE                VARCHAR2(40)  ,
    PROCESS_STATUS                  NUMBER(18, 0) ,
    ERROR_MSG_CODE                  VARCHAR2(200) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)  ,
    LAST_UPDATED_BY                 VARCHAR2(256) ,
    CREATION_DATE                   TIMESTAMP(6)  ,
    CREATED_BY                      VARCHAR2(256) ,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY              VARCHAR2(120) ,
    ATTRIBUTE1                      VARCHAR2(600) ,
    ATTRIBUTE2                      VARCHAR2(600) ,
    ATTRIBUTE3                      VARCHAR2(600) ,
    ATTRIBUTE4                      VARCHAR2(600) ,
    ATTRIBUTE5                      VARCHAR2(600) ,
    ATTRIBUTE6                      VARCHAR2(600) ,
    ATTRIBUTE7                      VARCHAR2(600) ,
    ATTRIBUTE8                      VARCHAR2(600) ,
    ATTRIBUTE9                      VARCHAR2(600) ,
    ATTRIBUTE10                     VARCHAR2(600) ,
    ATTRIBUTE11                     VARCHAR2(600) ,
    ATTRIBUTE12                     VARCHAR2(600) ,
    ATTRIBUTE13                     VARCHAR2(600) ,
    ATTRIBUTE14                     VARCHAR2(600) ,
    ATTRIBUTE15                     VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1               NUMBER        ,
    ATTRIBUTE_NUMBER2               NUMBER        ,
    ATTRIBUTE_NUMBER3               NUMBER        ,
    ATTRIBUTE_NUMBER4               NUMBER        ,
    ATTRIBUTE_NUMBER5               NUMBER        ,
    ATTRIBUTE_NUMBER6               NUMBER        ,
    ATTRIBUTE_NUMBER7               NUMBER        ,
    ATTRIBUTE_NUMBER8               NUMBER        ,
    ATTRIBUTE_NUMBER9               NUMBER        ,
    ATTRIBUTE_NUMBER10              NUMBER        ,
    ATTRIBUTE_DATE1                 DATE          ,
    ATTRIBUTE_DATE2                 DATE          ,
    ATTRIBUTE_DATE3                 DATE          ,
    ATTRIBUTE_DATE4                 DATE          ,
    ATTRIBUTE_DATE5                 DATE          ,
    ATTRIBUTE_TIMESTAMP1            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5            TIMESTAMP(6)  ,
    SUPPLIER_ENABLED_FLAG           VARCHAR2(4)   
);
